package WebSphereSamples.YourCo.Timeout;

/**
 * This is an Entity Bean class with CMP fields
 **/
import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import java.lang.*;

public class HistoryBean implements javax.ejb.EntityBean { 
	private javax.ejb.EntityContext entityContext = null;

	public int id;
	public int fromType;
	public int toType;
	public int amount;
   public int auditNumber;
   // comment out the two lines below for Sybase // 
	public java.sql.Date theDate;
	public java.sql.Time theTime;
   // uncomment the six lines below for Sybase //
   // public int yyyy;
   // public int mm;
   // public int dd;
   // public int h;
   // public int m;
   // public int s;
/**
* ejbActivate method comment.
*/
public void ejbActivate() throws java.rmi.RemoteException {
}
/**
 * ejbCreate method comment for a CMP entity bean
 *
 */
// comment out the line below for Sybase //
public void ejbCreate(int auditNumber, int id, int fromType, int toType, int amount, java.sql.Date theDate, java.sql.Time theTime)
// uncomment the line below for Sybase //
// public void ejbCreate(int auditNumber, int id, int fromType, int toType, int amount, int yyyy, int mm, int dd, int h, int m, int s)
{
	//  All CMP  fields should be intialized here.
  this.auditNumber = auditNumber;
  this.id = id;
  this.fromType = fromType;
  this.toType = toType;
  this.amount = amount;
  // comment out two lines below for Sybase //
  this.theDate = theDate;
  this.theTime = theTime;
  // uncomment six lines below for Sybase //
  // this.yyyy = yyyy;
  // this.mm = mm;
  // this.dd = dd;
  // this.h = h;
  // this.m = m;
  // this.s = s;
}
/**
 * ejbLoad method comment.
 */
public void ejbLoad () throws java.rmi.RemoteException {
}
/**
 * ejbPassivate method comment.
 */
public void ejbPassivate() throws java.rmi.RemoteException {
}
/**
 * ejbPostCreate method for a CMP entity bean
 */
public void ejbPostCreate(HistoryKey key) throws java.rmi.RemoteException {
}
/**
 * ejbRemove method comment.
 */
public void ejbRemove() throws java.rmi.RemoteException {
}
/**
 * ejbStore method comment.
 */
public void ejbStore () throws java.rmi.RemoteException {
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getAmount() {
	return amount;
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getAuditNumber() {
	return auditNumber;
}
/**
 * This method was created in VisualAge.
 * @return java.sql.Date
 */
public java.sql.Date getDate() {
   // comment out line below for Sybase //
   return theDate;
   // uncomment line below for Sybase //
	// return new java.sql.Date(yyyy, mm, dd);
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getFromType() {
	return fromType;
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getId() {
	return id;
}
/**
 * This method was created in VisualAge.
 * @return java.sql.Time
 */
public java.sql.Time getTime() {
   // comment out line below for Sybase //
   return theTime;
   // uncomment line below for Sybase //
	// return new java.sql.Time(h, m, s);
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getToType() {
	return toType;
}
/**
 * setEntityContext method comment.
 */
public void setEntityContext(javax.ejb.EntityContext ctx) throws java.rmi.RemoteException {
	entityContext = ctx;
}
/**
 * unsetEntityContext method comment.
 */
public void unsetEntityContext() throws java.rmi.RemoteException {
	entityContext = null;
}
}
